browser.runtime.onMessage.addListener((message) => {
  if (message.msg === 'inject-script') {
    const link = document.createElement('link');
    link.rel = 'stylesheet';
    link.href = browser.extension.getURL('css/inject.css');
    document.head.appendChild(link);

    const script = document.createElement('script');
    script.src = browser.extension.getURL('js/inject.js');
    document.head.appendChild(script);
  } else if (message.msg === 'pause-script') {
    postMessage({ msg: 'ercc:pause-script', value: message.value }, '*');
  }
});

browser.runtime.sendMessage({ msg: 'content-script-loaded', hostname: location.hostname })
.catch(e => console.log(e));
